# Class Thelia\Model\om\BaseProductVersionQuery | thelia

# Class BaseProductVersionQuery

Base class that represents a query for the 'product_version' table.

  ModelCriteria
  Thelia\Model\om\BaseProductVersionQuery

#### Direct known subclasses

Thelia\Model\ProductVersionQuery
Abstract
Namespace: Thelia\Model\om
Package: propel\generator\Thelia\Model\om
Located at core/lib/Thelia/Model/om/BaseProductVersionQuery.php

Methods summary

`public`

# `__construct( string $dbName = 'thelia', string $modelName = 'Thelia\\Model\\ProductVersion', string $modelAlias = null )`

Initializes internal state of BaseProductVersionQuery object.

Initializes internal state of BaseProductVersionQuery object.

#### Parameters

$dbName
  `string`
  $dbName The dabase name
$modelName
  `string`
  $modelName The phpName of a model, e.g. 'Book'
$modelAlias
  `string`
  $modelAlias The alias for the model in this query, e.g. 'b'

`public static `Thelia\Model\ProductVersionQuery``

# `create( string $modelAlias = null, `Thelia\Model\ProductVersionQuery`|Criteria $criteria = null )`

Returns a new ProductVersionQuery object.

Returns a new ProductVersionQuery object.

#### Parameters

$modelAlias
  `string`
  $modelAlias The alias of a model in the query
$criteria
  ``Thelia\Model\ProductVersionQuery`|Criteria`
  $criteria Optional Criteria to build the query from

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersion`|`Thelia\Model\ProductVersion[]`|mixed`

# `findPk( array $key, PropelPDO $con = null )`

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

    $obj = $c->findPk(array(12, 34), $con);

#### Parameters

$key
  `array`
  $key Primary key to use for the query A Primary key composition: [$id, $version]
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

``Thelia\Model\ProductVersion`|`Thelia\Model\ProductVersion[]`|mixed`
the result, formatted by the current formatter

`protected `Thelia\Model\ProductVersion``

# `findPkSimple( mixed $key, PropelPDO $con )`

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\ProductVersion``
A model object, or null if the key is not found

#### Throws

`PropelException`

`protected `Thelia\Model\ProductVersion`|`Thelia\Model\ProductVersion[]`|mixed`

# `findPkComplex( mixed $key, PropelPDO $con )`

Find object by primary key.

Find object by primary key.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\ProductVersion`|`Thelia\Model\ProductVersion[]`|mixed`
the result, formatted by the current formatter

`public PropelObjectCollection|`Thelia\Model\ProductVersion[]`|mixed`

# `findPks( array $keys, PropelPDO $con = null )`

Find objects by primary key

    $objs = $c->findPks(array(array(12, 56), array(832, 123), array(123, 456)), $con);

Find objects by primary key

    $objs = $c->findPks(array(array(12, 56), array(832, 123), array(123, 456)), $con);

#### Parameters

$keys
  `array`
  $keys Primary keys to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

`PropelObjectCollection|`Thelia\Model\ProductVersion[]`|mixed`
the list of results, formatted by the current formatter

`public `Thelia\Model\ProductVersionQuery``

# `filterByPrimaryKey( mixed $key )`

Filter the query by primary key

Filter the query by primary key

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByPrimaryKeys( array $keys )`

Filter the query by a list of primary keys

Filter the query by a list of primary keys

#### Parameters

$keys
  `array`
  $keys The list of primary key to use for the query

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterById( mixed $id = null, string $comparison = null )`

Filter the query on the id column

Filter the query on the id column

Example usage:

    $query->filterById(1234); // WHERE id = 1234
    $query->filterById(array(12, 34)); // WHERE id IN (12, 34)
    $query->filterById(array('min' => 12)); // WHERE id > 12

#### Parameters

$id
  `mixed`
  $id The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

#### See

``Thelia\Model\om\BaseProductVersionQuery::filterByProduct()``

`public `Thelia\Model\ProductVersionQuery``

# `filterByTaxRuleId( mixed $taxRuleId = null, string $comparison = null )`

Filter the query on the tax_rule_id column

Filter the query on the tax_rule_id column

Example usage:

    $query->filterByTaxRuleId(1234); // WHERE tax_rule_id = 1234
    $query->filterByTaxRuleId(array(12, 34)); // WHERE tax_rule_id IN (12, 34)
    $query->filterByTaxRuleId(array('min' => 12)); // WHERE tax_rule_id > 12

#### Parameters

$taxRuleId
  `mixed`
  $taxRuleId The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByRef( string $ref = null, string $comparison = null )`

Filter the query on the ref column

Filter the query on the ref column

Example usage:

    $query->filterByRef('fooValue');   // WHERE ref = 'fooValue'
    $query->filterByRef('%fooValue%'); // WHERE ref LIKE '%fooValue%'

#### Parameters

$ref
  `string`
  $ref The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByPrice( mixed $price = null, string $comparison = null )`

Filter the query on the price column

Filter the query on the price column

Example usage:

    $query->filterByPrice(1234); // WHERE price = 1234
    $query->filterByPrice(array(12, 34)); // WHERE price IN (12, 34)
    $query->filterByPrice(array('min' => 12)); // WHERE price > 12

#### Parameters

$price
  `mixed`
  $price The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByPrice2( mixed $price2 = null, string $comparison = null )`

Filter the query on the price2 column

Filter the query on the price2 column

Example usage:

    $query->filterByPrice2(1234); // WHERE price2 = 1234
    $query->filterByPrice2(array(12, 34)); // WHERE price2 IN (12, 34)
    $query->filterByPrice2(array('min' => 12)); // WHERE price2 > 12

#### Parameters

$price2
  `mixed`
  $price2 The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByEcotax( mixed $ecotax = null, string $comparison = null )`

Filter the query on the ecotax column

Filter the query on the ecotax column

Example usage:

    $query->filterByEcotax(1234); // WHERE ecotax = 1234
    $query->filterByEcotax(array(12, 34)); // WHERE ecotax IN (12, 34)
    $query->filterByEcotax(array('min' => 12)); // WHERE ecotax > 12

#### Parameters

$ecotax
  `mixed`
  $ecotax The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByNewness( mixed $newness = null, string $comparison = null )`

Filter the query on the newness column

Filter the query on the newness column

Example usage:

    $query->filterByNewness(1234); // WHERE newness = 1234
    $query->filterByNewness(array(12, 34)); // WHERE newness IN (12, 34)
    $query->filterByNewness(array('min' => 12)); // WHERE newness > 12

#### Parameters

$newness
  `mixed`
  $newness The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByPromo( mixed $promo = null, string $comparison = null )`

Filter the query on the promo column

Filter the query on the promo column

Example usage:

    $query->filterByPromo(1234); // WHERE promo = 1234
    $query->filterByPromo(array(12, 34)); // WHERE promo IN (12, 34)
    $query->filterByPromo(array('min' => 12)); // WHERE promo > 12

#### Parameters

$promo
  `mixed`
  $promo The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByStock( mixed $stock = null, string $comparison = null )`

Filter the query on the stock column

Filter the query on the stock column

Example usage:

    $query->filterByStock(1234); // WHERE stock = 1234
    $query->filterByStock(array(12, 34)); // WHERE stock IN (12, 34)
    $query->filterByStock(array('min' => 12)); // WHERE stock > 12

#### Parameters

$stock
  `mixed`
  $stock The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByVisible( mixed $visible = null, string $comparison = null )`

Filter the query on the visible column

Filter the query on the visible column

Example usage:

    $query->filterByVisible(1234); // WHERE visible = 1234
    $query->filterByVisible(array(12, 34)); // WHERE visible IN (12, 34)
    $query->filterByVisible(array('min' => 12)); // WHERE visible > 12

#### Parameters

$visible
  `mixed`
  $visible The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByWeight( mixed $weight = null, string $comparison = null )`

Filter the query on the weight column

Filter the query on the weight column

Example usage:

    $query->filterByWeight(1234); // WHERE weight = 1234
    $query->filterByWeight(array(12, 34)); // WHERE weight IN (12, 34)
    $query->filterByWeight(array('min' => 12)); // WHERE weight > 12

#### Parameters

$weight
  `mixed`
  $weight The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByPosition( mixed $position = null, string $comparison = null )`

Filter the query on the position column

Filter the query on the position column

Example usage:

    $query->filterByPosition(1234); // WHERE position = 1234
    $query->filterByPosition(array(12, 34)); // WHERE position IN (12, 34)
    $query->filterByPosition(array('min' => 12)); // WHERE position > 12

#### Parameters

$position
  `mixed`
  $position The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByCreatedAt( mixed $createdAt = null, string $comparison = null )`

Filter the query on the created_at column

Filter the query on the created_at column

Example usage:

    $query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'

#### Parameters

$createdAt
  `mixed`
  $createdAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByUpdatedAt( mixed $updatedAt = null, string $comparison = null )`

Filter the query on the updated_at column

Filter the query on the updated_at column

Example usage:

    $query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'

#### Parameters

$updatedAt
  `mixed`
  $updatedAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByVersion( mixed $version = null, string $comparison = null )`

Filter the query on the version column

Filter the query on the version column

Example usage:

    $query->filterByVersion(1234); // WHERE version = 1234
    $query->filterByVersion(array(12, 34)); // WHERE version IN (12, 34)
    $query->filterByVersion(array('min' => 12)); // WHERE version > 12

#### Parameters

$version
  `mixed`
  $version The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByVersionCreatedAt( mixed $versionCreatedAt = null, string $comparison = null )`

Filter the query on the version_created_at column

Filter the query on the version_created_at column

Example usage:

    $query->filterByVersionCreatedAt('2011-03-14'); // WHERE version_created_at = '2011-03-14'
    $query->filterByVersionCreatedAt('now'); // WHERE version_created_at = '2011-03-14'
    $query->filterByVersionCreatedAt(array('max' => 'yesterday')); // WHERE version_created_at > '2011-03-13'

#### Parameters

$versionCreatedAt
  `mixed`
  $versionCreatedAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByVersionCreatedBy( string $versionCreatedBy = null, string $comparison = null )`

Filter the query on the version_created_by column

Filter the query on the version_created_by column

Example usage:

    $query->filterByVersionCreatedBy('fooValue');   // WHERE version_created_by = 'fooValue'
    $query->filterByVersionCreatedBy('%fooValue%'); // WHERE version_created_by LIKE '%fooValue%'

#### Parameters

$versionCreatedBy
  `string`
  $versionCreatedBy The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductVersionQuery``

# `filterByProduct( `Thelia\Model\Product`|PropelObjectCollection $product, string $comparison = null )`

Filter the query by a related Product object

Filter the query by a related Product object

#### Parameters

$product
  ``Thelia\Model\Product`|PropelObjectCollection`
  $product The related object(s) to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\ProductVersionQuery``

# `joinProduct( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Adds a JOIN clause to the query using the Product relation

Adds a JOIN clause to the query using the Product relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\ProductQuery``

# `useProductQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Use the Product relation Product object

Use the Product relation Product object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\ProductQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\ProductVersionQuery``

# `prune( `Thelia\Model\ProductVersion` $productVersion = null )`

Exclude object from result

Exclude object from result

#### Parameters

$productVersion
  ``Thelia\Model\ProductVersion``
  $productVersion Object to remove from the list of results

#### Returns

``Thelia\Model\ProductVersionQuery``
The current query, for fluid interface

Magic methods summary

`public `Thelia\Model\ProductVersionQuery``

# `orderById( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the id column

Order by the id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `orderByTaxRuleId( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the tax_rule_id column

Order by the tax_rule_id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `orderByRef( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the ref column

Order by the ref column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `orderByPrice( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the price column

Order by the price column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `orderByPrice2( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the price2 column

Order by the price2 column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `orderByEcotax( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the ecotax column

Order by the ecotax column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `orderByNewness( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the newness column

Order by the newness column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `orderByPromo( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the promo column

Order by the promo column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `orderByStock( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the stock column

Order by the stock column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `orderByVisible( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the visible column

Order by the visible column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `orderByWeight( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the weight column

Order by the weight column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `orderByPosition( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the position column

Order by the position column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `orderByCreatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the created_at column

Order by the created_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `orderByUpdatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the updated_at column

Order by the updated_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `orderByVersion( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the version column

Order by the version column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `orderByVersionCreatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the version_created_at column

Order by the version_created_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `orderByVersionCreatedBy( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the version_created_by column

Order by the version_created_by column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupById( )`

Group by the id column

Group by the id column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupByTaxRuleId( )`

Group by the tax_rule_id column

Group by the tax_rule_id column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupByRef( )`

Group by the ref column

Group by the ref column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupByPrice( )`

Group by the price column

Group by the price column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupByPrice2( )`

Group by the price2 column

Group by the price2 column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupByEcotax( )`

Group by the ecotax column

Group by the ecotax column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupByNewness( )`

Group by the newness column

Group by the newness column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupByPromo( )`

Group by the promo column

Group by the promo column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupByStock( )`

Group by the stock column

Group by the stock column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupByVisible( )`

Group by the visible column

Group by the visible column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupByWeight( )`

Group by the weight column

Group by the weight column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupByPosition( )`

Group by the position column

Group by the position column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupByCreatedAt( )`

Group by the created_at column

Group by the created_at column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupByUpdatedAt( )`

Group by the updated_at column

Group by the updated_at column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupByVersion( )`

Group by the version column

Group by the version column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupByVersionCreatedAt( )`

Group by the version_created_at column

Group by the version_created_at column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `groupByVersionCreatedBy( )`

Group by the version_created_by column

Group by the version_created_by column

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `leftJoin( mixed $relation = )`

Adds a LEFT JOIN clause to the query

Adds a LEFT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `rightJoin( mixed $relation = )`

Adds a RIGHT JOIN clause to the query

Adds a RIGHT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `innerJoin( mixed $relation = )`

Adds a INNER JOIN clause to the query

Adds a INNER JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `leftJoinProduct( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the Product relation

Adds a LEFT JOIN clause to the query using the Product relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `rightJoinProduct( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the Product relation

Adds a RIGHT JOIN clause to the query using the Product relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersionQuery``

# `innerJoinProduct( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the Product relation

Adds a INNER JOIN clause to the query using the Product relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\ProductVersionQuery``

`public `Thelia\Model\ProductVersion``

# `findOne( PropelPDO $con = null )`

Return the first ProductVersion matching the query

Return the first ProductVersion matching the query

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneOrCreate( PropelPDO $con = null )`

Return the first ProductVersion matching the query, or a new ProductVersion object populated from the query conditions when no match is found

Return the first ProductVersion matching the query, or a new ProductVersion object populated from the query conditions when no match is found

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneById( integer $id = )`

Return the first ProductVersion filtered by the id column

Return the first ProductVersion filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneByTaxRuleId( integer $tax_rule_id = )`

Return the first ProductVersion filtered by the tax_rule_id column

Return the first ProductVersion filtered by the tax_rule_id column

#### Parameters

$tax_rule_id
  `integer`
  $tax_rule_id

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneByRef( string $ref = )`

Return the first ProductVersion filtered by the ref column

Return the first ProductVersion filtered by the ref column

#### Parameters

$ref
  `string`
  $ref

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneByPrice( float $price = )`

Return the first ProductVersion filtered by the price column

Return the first ProductVersion filtered by the price column

#### Parameters

$price
  `float`
  $price

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneByPrice2( float $price2 = )`

Return the first ProductVersion filtered by the price2 column

Return the first ProductVersion filtered by the price2 column

#### Parameters

$price2
  `float`
  $price2

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneByEcotax( float $ecotax = )`

Return the first ProductVersion filtered by the ecotax column

Return the first ProductVersion filtered by the ecotax column

#### Parameters

$ecotax
  `float`
  $ecotax

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneByNewness( integer $newness = )`

Return the first ProductVersion filtered by the newness column

Return the first ProductVersion filtered by the newness column

#### Parameters

$newness
  `integer`
  $newness

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneByPromo( integer $promo = )`

Return the first ProductVersion filtered by the promo column

Return the first ProductVersion filtered by the promo column

#### Parameters

$promo
  `integer`
  $promo

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneByStock( integer $stock = )`

Return the first ProductVersion filtered by the stock column

Return the first ProductVersion filtered by the stock column

#### Parameters

$stock
  `integer`
  $stock

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneByVisible( integer $visible = )`

Return the first ProductVersion filtered by the visible column

Return the first ProductVersion filtered by the visible column

#### Parameters

$visible
  `integer`
  $visible

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneByWeight( float $weight = )`

Return the first ProductVersion filtered by the weight column

Return the first ProductVersion filtered by the weight column

#### Parameters

$weight
  `float`
  $weight

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneByPosition( integer $position = )`

Return the first ProductVersion filtered by the position column

Return the first ProductVersion filtered by the position column

#### Parameters

$position
  `integer`
  $position

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneByCreatedAt( string $created_at = )`

Return the first ProductVersion filtered by the created_at column

Return the first ProductVersion filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneByUpdatedAt( string $updated_at = )`

Return the first ProductVersion filtered by the updated_at column

Return the first ProductVersion filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneByVersion( integer $version = )`

Return the first ProductVersion filtered by the version column

Return the first ProductVersion filtered by the version column

#### Parameters

$version
  `integer`
  $version

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneByVersionCreatedAt( string $version_created_at = )`

Return the first ProductVersion filtered by the version_created_at column

Return the first ProductVersion filtered by the version_created_at column

#### Parameters

$version_created_at
  `string`
  $version_created_at

#### Returns

``Thelia\Model\ProductVersion``

`public `Thelia\Model\ProductVersion``

# `findOneByVersionCreatedBy( string $version_created_by = )`

Return the first ProductVersion filtered by the version_created_by column

Return the first ProductVersion filtered by the version_created_by column

#### Parameters

$version_created_by
  `string`
  $version_created_by

#### Returns

``Thelia\Model\ProductVersion``

`public array`

# `findById( integer $id = )`

Return ProductVersion objects filtered by the id column

Return ProductVersion objects filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

`array`

`public array`

# `findByTaxRuleId( integer $tax_rule_id = )`

Return ProductVersion objects filtered by the tax_rule_id column

Return ProductVersion objects filtered by the tax_rule_id column

#### Parameters

$tax_rule_id
  `integer`
  $tax_rule_id

#### Returns

`array`

`public array`

# `findByRef( string $ref = )`

Return ProductVersion objects filtered by the ref column

Return ProductVersion objects filtered by the ref column

#### Parameters

$ref
  `string`
  $ref

#### Returns

`array`

`public array`

# `findByPrice( float $price = )`

Return ProductVersion objects filtered by the price column

Return ProductVersion objects filtered by the price column

#### Parameters

$price
  `float`
  $price

#### Returns

`array`

`public array`

# `findByPrice2( float $price2 = )`

Return ProductVersion objects filtered by the price2 column

Return ProductVersion objects filtered by the price2 column

#### Parameters

$price2
  `float`
  $price2

#### Returns

`array`

`public array`

# `findByEcotax( float $ecotax = )`

Return ProductVersion objects filtered by the ecotax column

Return ProductVersion objects filtered by the ecotax column

#### Parameters

$ecotax
  `float`
  $ecotax

#### Returns

`array`

`public array`

# `findByNewness( integer $newness = )`

Return ProductVersion objects filtered by the newness column

Return ProductVersion objects filtered by the newness column

#### Parameters

$newness
  `integer`
  $newness

#### Returns

`array`

`public array`

# `findByPromo( integer $promo = )`

Return ProductVersion objects filtered by the promo column

Return ProductVersion objects filtered by the promo column

#### Parameters

$promo
  `integer`
  $promo

#### Returns

`array`

`public array`

# `findByStock( integer $stock = )`

Return ProductVersion objects filtered by the stock column

Return ProductVersion objects filtered by the stock column

#### Parameters

$stock
  `integer`
  $stock

#### Returns

`array`

`public array`

# `findByVisible( integer $visible = )`

Return ProductVersion objects filtered by the visible column

Return ProductVersion objects filtered by the visible column

#### Parameters

$visible
  `integer`
  $visible

#### Returns

`array`

`public array`

# `findByWeight( float $weight = )`

Return ProductVersion objects filtered by the weight column

Return ProductVersion objects filtered by the weight column

#### Parameters

$weight
  `float`
  $weight

#### Returns

`array`

`public array`

# `findByPosition( integer $position = )`

Return ProductVersion objects filtered by the position column

Return ProductVersion objects filtered by the position column

#### Parameters

$position
  `integer`
  $position

#### Returns

`array`

`public array`

# `findByCreatedAt( string $created_at = )`

Return ProductVersion objects filtered by the created_at column

Return ProductVersion objects filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

`array`

`public array`

# `findByUpdatedAt( string $updated_at = )`

Return ProductVersion objects filtered by the updated_at column

Return ProductVersion objects filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

`array`

`public array`

# `findByVersion( integer $version = )`

Return ProductVersion objects filtered by the version column

Return ProductVersion objects filtered by the version column

#### Parameters

$version
  `integer`
  $version

#### Returns

`array`

`public array`

# `findByVersionCreatedAt( string $version_created_at = )`

Return ProductVersion objects filtered by the version_created_at column

Return ProductVersion objects filtered by the version_created_at column

#### Parameters

$version_created_at
  `string`
  $version_created_at

#### Returns

`array`

`public array`

# `findByVersionCreatedBy( string $version_created_by = )`

Return ProductVersion objects filtered by the version_created_by column

Return ProductVersion objects filtered by the version_created_by column

#### Parameters

$version_created_by
  `string`
  $version_created_by

#### Returns

`array`